import json
from django.db import connection


def set_session_data(data):
    """
    Запись в переменные сессии Postgresql строки с json объектом
    Читается в sql-функции commit_trigger.trig_proc()
    :param data: словарь с данными для сохранениея
    :return:
    """
    session_json = json.dumps(data)
    query = f"SET SESSION myvars.session = '{session_json}'"
    with connection.cursor() as c:
        c.execute(query)


def get_session_data():
    query = f"select current_setting('myvars.session', true)::jsonb"
    with connection.cursor() as c:
        c.execute(query)
        session_json = c.fetchall()

    return session_json
